# Class NavigationEndDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.IconAndMessageDialog
org.eclipse.jface.dialogs.MessageDialog
org.eclipse.jface.dialogs.MessageDialogWithToggle
org.eclipse.compare.internal.NavigationEndDialog

All Implemented Interfaces:
  `IShellProvider`

public class NavigationEndDialog extends MessageDialogWithToggle

## Nested Class Summary

### Nested classes/interfaces inherited from class Window

`Window.IExceptionHandler`

## Field Summary

### Fields inherited from class MessageDialogWithToggle

`ALWAYS, NEVER, PROMPT`

### Fields inherited from class MessageDialog

`AUTOMATED_MODE, CONFIRM, ERROR, INFORMATION, NONE, QUESTION, QUESTION_WITH_CANCEL, WARNING`

### Fields inherited from class IconAndMessageDialog

`imageLabel, message, messageLabel`

### Fields inherited from class Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`NavigationEndDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, String[][] labelsAndValues)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`buttonPressed(int buttonId)`
Notifies that this dialog's button with the given id has been pressed.
`protected Control`
`createCustomArea(Composite parent)`
Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.

### Methods inherited from class MessageDialogWithToggle

`createButtonsForButtonBar, createDialogArea, createToggleButton, getPrefKey, getPrefStore, getToggleButton, getToggleState, open, open, openError, openInformation, openOkCancelConfirm, openWarning, openYesNoCancelQuestion, openYesNoQuestion, setPrefKey, setPrefStore, setToggleButton, setToggleMessage, setToggleState`

### Methods inherited from class MessageDialog

`configureShell, createButton, customShouldTakeFocus, getButton, getButtonLabels, getDefaultButtonIndex, getImage, getMinimumMessageWidth, handleShellCloseEvent, open, open, open, openConfirm, openError, openInformation, openQuestion, openWarning, setButtonLabels, setButtons`

### Methods inherited from class IconAndMessageDialog

`createButtonBar, createContents, createDialogAndButtonArea, createMessageArea, getColumnCount, getErrorImage, getInfoImage, getMessageLabelStyle, getQuestionImage, getWarningImage`

### Methods inherited from class Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigationEndDialog

public NavigationEndDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, String[][] labelsAndValues)

## Method Details

### createCustomArea

protected Control createCustomArea(Composite parent)
Description copied from class: `MessageDialog`
Creates and returns the contents of an area of the dialog which appears below the message and above the button bar.

The default implementation of this framework method returns `null`. Subclasses may override.

Overrides:
  `createCustomArea` in class `MessageDialog`
Parameters:
  `parent` - parent composite to contain the custom area
Returns:
  the custom area control, or `null`

### buttonPressed

protected void buttonPressed(int buttonId)
Description copied from class: `Dialog`
Notifies that this dialog's button with the given id has been pressed.

The `Dialog` implementation of this framework method calls `okPressed` if the ok button is the pressed, and `cancelPressed` if the cancel button is the pressed. All other button presses are ignored. Subclasses may override to handle other buttons, but should call `super.buttonPressed` if the default handling of the ok and cancel buttons is desired.

Overrides:
  `buttonPressed` in class `MessageDialogWithToggle`
Parameters:
  `buttonId` - the id of the button that was pressed (see `IDialogConstants.*_ID` constants)
See Also:
  - `Dialog.buttonPressed(int)`